Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(33)

Issue 975463002: Implement subclassing Arrays. (Closed)

Created:
4 years, 7 months ago by Dmitry Lomov (no reviews)
Modified:
4 years, 7 months ago
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

Implement subclassing Arrays. R=mvstanton@chromium.org,arv@chromium.org,rossberg@chromium.org BUG=v8:3930 LOG=Y Committed: https://crrev.com/6898da1a28d64d1fb2962804ba566f6d618ffc70 Cr-Commit-Position: refs/heads/master@{#26960} Committed: https://crrev.com/8d29cc11a56e77297792fe100986a80b65de0051 Cr-Commit-Position: refs/heads/master@{#26963} Committed: https://crrev.com/0705045b50a29cf1273e9e6b86fe6a627d8dcb43 Cr-Commit-Position: refs/heads/master@{#26966} Committed: https://crrev.com/1604bd46bf7fe0a8f7cd7780174030e26b93ab37 Cr-Commit-Position: refs/heads/master@{#26972}

Patch Set 1 #

Patch Set 2 : typo + test rename #

Total comments: 1

Patch Set 3 : All done #

Patch Set 4 : fix arm64 #

Patch Set 5 : Added tests #

Total comments: 1

Patch Set 6 : CR feedback + rebase #

Patch Set 7 : arm compilation fix #

Patch Set 8 : Another attempt at fix for arm :( #

Patch Set 9 : Fix arm again #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+316 lines, -48 lines) Patch
M src/arm/code-stubs-arm.cc View 1 2 3 4 5 1 chunk +19 lines, -1 line 0 comments Download
M src/arm64/code-stubs-arm64.cc View 1 2 3 4 5 2 chunks +19 lines, -4 lines 0 comments Download
M src/ia32/code-stubs-ia32.cc View 1 2 3 4 5 3 chunks +23 lines, -5 lines 0 comments Download
M src/mips/code-stubs-mips.cc View 1 2 3 4 5 6 7 8 2 chunks +23 lines, -4 lines 0 comments Download
M src/mips64/code-stubs-mips64.cc View 1 2 3 4 5 6 7 8 2 chunks +22 lines, -3 lines 0 comments Download
M src/runtime/runtime.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M src/runtime/runtime-array.cc View 1 2 3 4 5 6 7 8 4 chunks +36 lines, -2 lines 2 comments Download
M src/x64/code-stubs-x64.cc View 1 2 3 4 5 1 chunk +23 lines, -1 line 0 comments Download
A test/mjsunit/harmony/classes-subclass-arrays.js View 1 2 3 4 5 1 chunk +150 lines, -0 lines 0 comments Download
M test/mjsunit/harmony/regress/regress-3930.js View 1 1 chunk +0 lines, -28 lines 0 comments Download

Messages

Total messages: 38 (9 generated)
Dmitry Lomov (no reviews)
PTAL before platform ports
4 years, 7 months ago (2015-03-02 15:43:41 UTC) #2
mvstanton
Just one nit, looks pretty good. Also, just a reminder per our discussion on the ...
4 years, 7 months ago (2015-03-02 16:46:19 UTC) #3
Dmitry Lomov (no reviews)
All ports done, please take a look.
4 years, 7 months ago (2015-03-02 17:22:30 UTC) #4
arv (Not doing code reviews)
The code looks good but I still want a test that asserts that the instance ...
4 years, 7 months ago (2015-03-03 09:01:16 UTC) #5
Dmitry Lomov (no reviews)
Tests added, PTAL
4 years, 7 months ago (2015-03-03 10:17:20 UTC) #6
arv (Not doing code reviews)
LGTM https://codereview.chromium.org/975463002/diff/70001/test/mjsunit/harmony/classes-subclass-arrays.js File test/mjsunit/harmony/classes-subclass-arrays.js (right): https://codereview.chromium.org/975463002/diff/70001/test/mjsunit/harmony/classes-subclass-arrays.js#newcode20 test/mjsunit/harmony/classes-subclass-arrays.js:20: assertEquals('xyz', s1[0]); Inconsistent use of assertSame and assertEquals?
4 years, 7 months ago (2015-03-03 13:11:41 UTC) #7
mvstanton
lgtm
4 years, 7 months ago (2015-03-03 13:13:55 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/975463002/90001
4 years, 7 months ago (2015-03-03 13:18:13 UTC) #11
commit-bot: I haz the power
Committed patchset #6 (id:90001)
4 years, 7 months ago (2015-03-03 13:40:37 UTC) #12
commit-bot: I haz the power
Patchset 6 (id:??) landed as https://crrev.com/6898da1a28d64d1fb2962804ba566f6d618ffc70 Cr-Commit-Position: refs/heads/master@{#26960}
4 years, 7 months ago (2015-03-03 13:40:46 UTC) #13
mvstanton
A revert of this CL (patchset #6 id:90001) has been created in https://codereview.chromium.org/975693002/ by mvstanton@chromium.org. ...
4 years, 7 months ago (2015-03-03 14:55:01 UTC) #14
Dmitry Lomov (no reviews)
mvstanton@ PTAL at compilation fix in patch set 7
4 years, 7 months ago (2015-03-03 15:16:01 UTC) #15
mvstanton
lgtm
4 years, 7 months ago (2015-03-03 15:23:21 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/975463002/110001
4 years, 7 months ago (2015-03-03 15:24:01 UTC) #19
commit-bot: I haz the power
Committed patchset #7 (id:110001)
4 years, 7 months ago (2015-03-03 16:10:32 UTC) #20
commit-bot: I haz the power
Patchset 7 (id:??) landed as https://crrev.com/8d29cc11a56e77297792fe100986a80b65de0051 Cr-Commit-Position: refs/heads/master@{#26963}
4 years, 7 months ago (2015-03-03 16:10:49 UTC) #21
Dmitry Lomov (no reviews)
A revert of this CL (patchset #7 id:110001) has been created in https://codereview.chromium.org/974963002/ by dslomov@chromium.org. ...
4 years, 7 months ago (2015-03-03 16:40:11 UTC) #22
Dmitry Lomov (no reviews)
mvstanton@, PTAL at patch set 8. Argh.
4 years, 7 months ago (2015-03-03 16:50:21 UTC) #23
mvstanton
lgtm
4 years, 7 months ago (2015-03-03 16:51:42 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/975463002/130001
4 years, 7 months ago (2015-03-03 16:52:31 UTC) #27
commit-bot: I haz the power
Committed patchset #8 (id:130001)
4 years, 7 months ago (2015-03-03 17:14:13 UTC) #28
commit-bot: I haz the power
Patchset 8 (id:??) landed as https://crrev.com/0705045b50a29cf1273e9e6b86fe6a627d8dcb43 Cr-Commit-Position: refs/heads/master@{#26966}
4 years, 7 months ago (2015-03-03 17:14:25 UTC) #29
Dmitry Lomov (no reviews)
A revert of this CL (patchset #8 id:130001) has been created in https://codereview.chromium.org/976693002/ by dslomov@chromium.org. ...
4 years, 7 months ago (2015-03-03 17:47:22 UTC) #30
Dmitry Lomov (no reviews)
arv@ could you take a look at this another attempt at fixing arm? I have ...
4 years, 7 months ago (2015-03-03 18:12:09 UTC) #31
arv (Not doing code reviews)
LGTM https://codereview.chromium.org/975463002/diff/150001/src/runtime/runtime-array.cc File src/runtime/runtime-array.cc (right): https://codereview.chromium.org/975463002/diff/150001/src/runtime/runtime-array.cc#newcode1167 src/runtime/runtime-array.cc:1167: CHECK(args_length >= 2); Does this need to be ...
4 years, 7 months ago (2015-03-03 18:15:21 UTC) #32
Dmitry Lomov (no reviews)
https://codereview.chromium.org/975463002/diff/150001/src/runtime/runtime-array.cc File src/runtime/runtime-array.cc (right): https://codereview.chromium.org/975463002/diff/150001/src/runtime/runtime-array.cc#newcode1167 src/runtime/runtime-array.cc:1167: CHECK(args_length >= 2); On 2015/03/03 18:15:20, arv wrote: > ...
4 years, 7 months ago (2015-03-03 18:18:08 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/975463002/150001
4 years, 7 months ago (2015-03-03 18:19:17 UTC) #36
commit-bot: I haz the power
Committed patchset #9 (id:150001)
4 years, 7 months ago (2015-03-03 18:45:07 UTC) #37
commit-bot: I haz the power
4 years, 7 months ago (2015-03-03 18:45:14 UTC) #38
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/1604bd46bf7fe0a8f7cd7780174030e26b93ab37
Cr-Commit-Position: refs/heads/master@{#26972}

Powered by Google App Engine
This is Rietveld 408576698